
Name:           adsl-manager-daemon
#BuildRequires:  
URL:            http://www.aurox.org
Summary:        ADSL Manager daemon 
Version:        0.1
Group:          System/Daemons
Release:        1.15%{?dist}
License:        GPL
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Source1:	adsl-manager-daemon.init
Requires:	ueagle-atm-tools speedtouch dhcp bind
BuildRequires: 	glib2-devel dbus-devel dbus-glib

%description
ADSL Manager daemon

Authors:
--------
	Tomasz Kopczyński <kirk@kirk.qwe.pl>

%prep
%setup -q -n %{name}-%{version}

%build
make 

%install
mkdir -p %{buildroot}/usr/sbin/
cp adsl-manager-daemon %{buildroot}/usr/sbin/
mkdir -p %{buildroot}/usr/share/adsl-manager-daemon/
cp adsl_install %{buildroot}/usr/share/adsl-manager-daemon/
mkdir -p %{buildroot}/etc/init.d/
cp %{SOURCE1} %{buildroot}/etc/init.d/adsl-manager-daemon
cp dhcpd.conf *.sh %{buildroot}/usr/share/adsl-manager-daemon/

%post
/sbin/chkconfig --add adsl-manager-daemon
/sbin/chkconfig --level 5 adsl-manager-daemon on
service adsl-manager-daemon start

%preun
if [ $1 = 0 ]; then
   service adsl-manager-daemon stop > /dev/null 2>&1
   /sbin/chkconfig --del adsl-manager-daemon
fi

%postun

%files 
%defattr(-,root,root)
%_sbindir/adsl-manager-daemon
/etc/init.d/adsl-manager-daemon
/usr/share/adsl-manager-daemon/*
%changelog
* Mon Jul 17 2006 Tomasz Kopczynski <kirk@kirk.qwe.pl> 0.1-1
- Initial release

